Skip to Content

Disable SSL 3.0 and TLS 1.0 for SMP 3.0 SP11

Feb 01, 2017 at 01:26 PM


avatar image


We recently ran a security audit on one of our clients SMP 3.0 server. Few of the points identified with the server were support for SSL v3.0 and TLS 1.0/1.1. How can we disable the support for both of these for HTTPS in SMP 3.0 SP11. We need to do disable this for both Admin console as well as for all the Agentry applications running on SMP 3.0. Any suggestions guys?


Have a nice day

10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

1 Answer

Jitendra Kansal
Jul 10, 2017 at 11:57 AM

Hello Amardeep,

By default, SMP comes with TLS enabled.

It can be done by updating details as available in default server xml file under C:\SAP\MobilePlatform3\Server\config_master\org.eclipse.gemini.web.tomcat but before doing this, i would suggest you to check with SAP support once (raise an OSS ticket) and also, keep a backup of original file while doing changes in file system.



10 |10000 characters needed characters left characters exceeded